

/* ------------- Body ------------- */
img {
    width: 100%;
}
main {
    display: flex;
    align-items: center;
    align-content: center;
    flex-direction: column;
    margin: 5rem;
    margin-top: 2rem;
}

html {
    scroll-behavior: smooth;
  }

/* ------------- Überschrift-Abschnitt ------------- */

.Ueberschrift_Block {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    margin-top: 0.5rem;
    margin-bottom: 2vw;
    width: 80%;
    max-width: 1536px;
    font-family: 'semplicitapro', 'Roboto';
    line-height: 0.2em;
}



.Ueberschrift_Text_Block {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    flex-direction: column;
    margin-right: 0;
    flex-grow: 1;
}


.Ueberschrift_Text_Block h2 {
    /* KLAUDIJA IVKOVIC */

    font-family: 'semplicitapro', 'Roboto';
    font-style: normal;
    font-weight: 600;
    font-size: clamp(1rem, 3vw, 4rem);
    line-height: 105%;
    /* or 64px% */
    text-align: right;
    margin: 0;
    margin-top: 0.5rem;

    /* Gray 1 */
    color: #333333;
}

.Ueberschrift_Text_Block h1 {
    /* Bindungs- und Bezeihungsorientiere ... */

    font-family: 'semplicitapro', 'Roboto';
    font-style: normal;
    font-weight: 250;
    font-size: clamp(1.3rem, 2.5vw, 2.8rem);
    line-height: 115%;
    /* or 64px */
    text-align: right;
    margin: 0;
    margin-bottom: 0.8rem;

    /* Gray 4 */
    color: black;
}

.Ueberschrift_Pic_Block img {
    max-width: 650px;
    max-height: 600px;
    object-fit: cover;
    position: relative;
}

.Kontakt_in_Pic {
    display: flex;
    justify-content: center;
    position: absolute;
    bottom: 0;
    left: 0;
    background-color: rgba(255, 255, 255, 0.9);
    width: auto;
    height: 3.5em;
    padding: 1em;

}
.formular_link_head {
    text-decoration: none;
    font-family: 'semplicitapro', 'Roboto';
    font-style: normal;
    font-weight: 400;
    font-size: 12px;
    line-height: 12px;
    /* identical to box height, or 100% */
    letter-spacing: 0.2em;
    text-transform: uppercase;

    /* Gray 1 */
    color: #333333;
}

.Ueberschrift_Pic_Block {
    margin-left: 2rem;
    position: relative;
    flex-grow: 1;
}

.keinRandomStrich{
    display: flex;
    color: black;
    width: 90%;
    margin-left: 10%;
    font-weight: bold;
    float: right;
    height: 1px;
    border: none;
    background-color: black;
}

/* P------------- Pädagogik-Abschnitt ------------- */

.paedagogik_block {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: row;
    width: 80%;
    max-width: 1536px;
    margin-top: 2vw;
    margin-bottom: 2vw;
    
}

.paedagogik_pic_block {
    margin-right: 0;
    display: flex;
    justify-content: center;
    flex-direction: row;
    width: 60%;
}

.paedagogik_pics1 {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-direction: column;

}

.paedagogik_pics1 img {
    margin: 0.5em 0 0.5em 0;
    width: 100%;

}

.paedagogik_pic2 {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 0.5rem;
}

.paedagogik_pic2 img {
    width: 100%;
}

.paedagogik_text {
    margin-left: 2rem;
    display: flex;
    justify-content: center;
    flex-direction: column;
    width: 50%;
}

.paedagogik_text h1 {
    /* Pädagogische Haltung */
    font-family: 'semplicitapro', 'Roboto';
    font-style: normal;
    font-weight: 250;
    font-size: clamp(2.5rem, 4vw, 6rem);
    line-height: 100%;
    margin-top: clamp(1rem, 4vw, 5rem);
    /* or 100% */

    /* Gray 4 */
    color: black;
}

.paedagogik_text h2 {

    font-family: 'semplicitapro', 'Roboto';
    font-style: normal;
    font-weight: 250;
    font-size: clamp(1rem, 1.8vw, 2.5rem);
    line-height: auto;
    /* or 156% */
    
    color: #000000;
}

.read-more-btn {
    border: 1.5px solid black !important;
    background-color: Transparent;
    font-family: 'semplicitapro', 'Roboto';
    font-style: normal;
    font-weight: 400;
    font-size: clamp(0.5rem, 1vw, 1.5rem);
    line-height: 110%;
    /* identical to box height, or 100% */
    letter-spacing: 0.2em;
    text-transform: uppercase;

    color: #333333;
    padding: 1em 1em;
    border: none;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    cursor: pointer;
    border-radius: 5px;
    transition: background-color 0.3s ease;

    width: auto;
    text-align: left;
    margin-top: clamp(1rem, 0.5vw, 3rem);

}

.read-more-btn-right{
    border: 1.5px solid black !important;
    background-color: Transparent;
    font-family: 'semplicitapro', 'Roboto';
    font-style: normal;
    font-weight: 400;
    font-size: clamp(0.5rem, 1vw, 1.5rem);
    line-height: 110%;
    /* identical to box height, or 100% */
    letter-spacing: 0.2em;
    text-transform: uppercase;

    color: #333333;
    padding: 1em 1em;
    border: none;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    cursor: pointer;
    border-radius: 5px;
    transition: background-color 0.3s ease;

    width: auto;
    text-align: right;
    margin-top: clamp(1rem, 0.5vw, 3rem);
}


.read-more-btn:hover {
    background-color: #333333;
    color: white;
}

.read-more-btn-right:hover {
    background-color: #333333;
    color: white;
}



.read-more-btn:hover .arrow {
    margin-left: 10px; /* Move arrow to the right on hover */
}

.read-more-btn-right:hover .arrow {
    margin-right: 10px; /* Move arrow to the left on hover */
}

/* Angebote-Block */

.angebots_pics_block {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    margin-top: 0rem;
    margin-bottom: 1rem;
}

.angebot_div_pic1 {
    margin-right: 0.5rem;
}

.angebot_div_pic2 {
    margin-left: 0.5rem;
    margin-right: 0.5rem;
}

.angebot_div_pic3 {
    margin-left: 0.5rem;
}
.fernberatungs_block img {
    width: 100%
}


.angebots_ueberschrift {
    /* Angebotene Dienste */
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'semplicitapro', 'Roboto';
    font-style: normal;
    font-weight: 250;
    font-size: clamp(2.5rem, 4vw, 6rem);
    line-height: 100%;
    /* identical to box height, or 100% */

    /* Gray 4 */
    color: black;
    margin-top: clamp(2rem, 3vw, 6rem);
    margin-bottom: 1rem;
}

.angebots_block {
    display: flex;
    justify-content: center;
    flex-direction: column;
    margin-top: 3rem;
    margin-bottom: 3rem;
}

.haupt_angebote_block {
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    margin-bottom: 0.5rem;
    margin-top: 2rem;
    height: 100%;
}

.haupt_angebote_block div {
    height: 30%;
}

.fernberatungs_block {
    margin-right: 0.5rem;
    position: relative;
}

.persona_beratungs_block {
    margin-left: 0.5rem;
    height: 407px;
    position: relative;
}

/* #TODO BOXEN POSITION: RELATIVE und position einstellen */


.fern_angebot_text {
    position: absolute;
    top: 20%;
    left: 10%;

    /* Fernberatung */

    font-family: 'semplicitapro', 'Roboto';
    font-style: normal;
    font-weight: 700;
    font-size: clamp(1rem, 4vw, 4rem);
    line-height: 100%;
    /* identical to box height, or 100% */

    color: #444749;
}

.angebot_view_more1 {
    position: absolute;
    bottom: 15%;
    left: 10%;
}

.persona_angebot_text {
    position: absolute;
    top: 20%;
    right: 10%;

    font-family: 'semplicitapro', 'Roboto';
    font-style: normal;
    font-weight: 700;
    font-size: clamp(1rem, 4vw, 4rem);
    line-height: 100%;
    /* identical to box height, or 100% */

    color: #444749;
}

.angebot_view_more2 {
    position: absolute;
    bottom: 15%;
    right: 10%;
}





/* ------- section 2 -------- */

.section2{
    display: flex;
    align-items: center;
    flex-direction: column;
    width: 100%;
    max-width: 1536px;
}

.üSec2{
    padding-bottom: 0;
    margin-top: clamp(2rem, 3vw, 6rem);
    margin-bottom: 0;
    height: 100%;
}

.üSec2 h1{
    padding-bottom: 0;
    margin-bottom: 0;

    font-family: 'semplicitapro', 'Roboto';
    font-style: normal;
    font-weight: 250;
    font-size: clamp(2.5rem, 4vw, 6rem);
    line-height: 100%;
    /* or 100% */
    text-align: center;

    /* Gray 4 */
    color: black;


}
.zweiPunkte{
    display: flex;
    justify-content: space-between;
    align-items: space-between;
    flex-direction: row;
    margin-top: 0;
    padding-top: 0;
    width: 100%;
}

.box {
    margin-top: 1em;
    display: flex;
    flex-grow: 1;
}

.punkt1 {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 2em;
}

.punkt2 {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2em;
}

.punkt3 {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 2em;
}

.box2 {
    margin-top: 1em;
    width: 30em;
    display: flex;
    justify-content: center; /* Zentriere den Text in der Box */
    align-items: center;
}

.hidden-text p{
    font-size: 1.2em;
}

.bildPunkt1{
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 1000;
    text-align: right;
    font-size: clamp(5rem, 11vw, 15rem);
    line-height: 110%;
    margin-top: clamp(0rem, 0vw, 0.5rem);
    margin-bottom: clamp(0rem, 0vw, 0.5rem);
    color: #D9D9D9;
}

.bildPunkt2{
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 1000;
    text-align: right;
    font-size: clamp(5rem, 11vw, 15rem);
    line-height: 110%;
    margin-top: clamp(0rem, 0vw, 0.5rem);
    margin-bottom: clamp(0rem, 0vw, 0.5rem);
    color: #D9D9D9;
}

.bildPunkt3 {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 1000;
    text-align: right;
    font-size: clamp(5rem, 11vw, 15rem);
    line-height: 110%;
    margin-top: clamp(0rem, 0vw, 0.5rem);
    margin-bottom: clamp(0rem, 0vw, 0.5rem);
    color: #D9D9D9;
}

.pleasehelp {
    align-self: flex-end;
}
.textPunkt{
    font-family: 'semplicitapro', 'Roboto';
    font-style: normal;
    font-weight: 400;
    color: #333333;
    width: fit-content;
    display: inline-block;
    margin-right:  clamp(0rem, 1vw, 1.5rem);
}

.headpunkt {
    display: inline-block;
}



.textPunkt h3 {
    font-family: 'semplicitapro', 'Roboto';
    font-style: normal;
    font-weight: 500;
    font-size: clamp(1rem, 1.8vw, 2.5rem);
    line-height: 110%;
    display: inline;

    color: #444749;
    margin-bottom: 1rem;
    padding: 0;

    transition: font-size 0.2s ease;
}

.triangle {
    justify-content: flex-start;
    float: left;
    width: 0;
    height: 0;
    border-left: clamp(0.7rem, 1.3vw, 2rem) solid transparent;
    border-right: clamp(0.7rem, 1.3vw, 2rem)  solid transparent;
    border-top: clamp(0.7rem, 1.3vw, 2rem)  solid #444749;
    margin-right: clamp(0rem, 0vw, 0.5rem);
    margin-left: clamp(0rem, 0vw, 0rem);
    margin-top: clamp(0.1rem, 0.5vw, 1.2rem);
    cursor: pointer;
    transition: transform 0.3s ease;
}

.mehrLesen{
    width: 11em;
    justify-content: flex-start;
    align-content: center;
    align-items: center;
    display: flex;
}

.mehrLesenText{
    font-weight: 300;
    font-size: clamp(1rem, 1.2vw, 2rem);
    line-height: 110%;
    padding-left: 0.5vw;
    margin-top: clamp(0rem, 0.5vw, 1.2rem);
    white-space: nowrap;
}

.hidden-text {
    max-height: 0;
    max-width: 20em;
    overflow: hidden;
    transition: max-height 0.5s ease;
}

.heading{
    font-size: clamp(1rem, 1.8vw, 2.5rem);
    line-height: 110%;
}

.show-text .hidden-text {
    max-height: 200px; /* Höhe nach Belieben anpassen */
}

.show-text .heading {
    font-size: clamp(1rem, 1.5vw, 2rem);
    line-height: 110%;
}

.show-text .triangle {
    transform: rotate(180deg);
}

.alle_angebote_button {
    display: flex;
    justify-content: flex-end;
}
/* -------- contact block ----------*/

.kontakt_block {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    margin-top: 1rem;
    width: 100%;
    max-width: 1536px;
}

.kontakt_ueberschrift {
font-family: 'semplicitapro', 'Roboto';
font-style: normal;
font-weight: 250;
font-size: clamp(2.5rem, 4vw, 6rem);
line-height: 100%;
margin-bottom: 1rem;
/* identical to box height, or 100% */

/* Gray 4 */
color: black;


}

.kontakt_container {
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    margin-top: 2rem;
}

.placeholder_contact_pic {
    width: 100%;
    margin-left: 1rem;
}
.kontakt_formular {
    width: 50%;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    margin-right: 1rem;
  }
  
  .kontakt_formular label {
    display: block;
    margin-bottom: 8px;
    font-weight: bold;
  }

  #remove {
    width: 100%;
  }
  
  .kontakt_formular input[type="text"],
  .kontakt_formular input[type="email"],
  .kontakt_formular textarea {
    width: 100%;
    padding: 0.5em;
    margin-bottom: 0.5rem;
    border: none;
    box-sizing: border-box;
    background-color: #F3F3F3;
    font-family: 'semplicitapro', 'Roboto';
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 20px;
    /* identical to box height */
    letter-spacing: 0.04em;

    color: #8D8D8D;
  }


.contact-form input[type="text"]:focus,
.contact-form input[type="email"]:focus,
.contact-form textarea:focus {
  outline: none; /* Removes the default focus outline */
  background-color: #F3F3F3; /* Slightly darker background on focus */
}
  
.kontakt_formular textarea {
    resize: vertical; /* Allows resizing only vertically */
}
  
.submit-btn {
    background-color: #333333;
    font-family: 'semplicitapro', 'Roboto';
    font-style: normal;
    font-weight: 400;
    font-size: 12px;
    line-height: 12px;
    /* identical to box height, or 100% */
    letter-spacing: 0.2em;
    text-transform: uppercase;

    color: #FFFFFF;
    padding: 2em 2em;
    border: none;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    cursor: pointer;
    /* border-radius: 5px; */
    transition: background-color 0.3s ease;

    width: auto;
    text-align: left;
    margin-top: 3rem;
    display: inline-block;
}

.submit-btn:hover {
    background-color: darkgray;
    color: #FFFFFF;
}

.submit-btn:hover .arrow {
    margin-left: 10px; /* Move arrow to the right on hover */
}

/* ------------ Arrow ----------- */

.Down-Arrow {
    font-size: 2em;
    margin-top: 2vw;
    margin-bottom: 2vw;
}




/* Anomationen  */

@media screen and (max-width: 768px) {


    main{
        width: 100%;
        padding: 0;
        margin: 0;
    }

    .Ueberschrift_Text_Block {
        font-size: 0.3em;
        padding-right: 0;
        margin-right: 0;
    }

    .Ueberschrift_Text_Block h2{
        font-size: 5em;

    }

    .Ueberschrift_Pic_Block{
        width: 11em;
        height: 20em;
        padding-left: 0;
        margin-left: 1em;
    }
    .mobilePictureMain{
        width: 100%;
        height: 100%;
    }
    .Ueberschrift_Block{
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .paedagogik_block{
        margin-top: 10vw;
        width: 100%;
    }

    .paedagogik_pics1{

    }

    .paedagogik_text{
        margin-left: 0;
    }

    .paedagogik_text h1{
        font-size: 1.6em;
        line-height: 1.2em;
        color: black;
    }
    .paedagogik_text h2{
        padding-top: 0px;
        margin-top: 0px;
    }

    .read-more-btn{
        color: black;
        background-color: white;
        margin-top: 0px;
    }

    .read-more-btn-right{
        bottom: 70%;
    }

    .section2{
        display: flex;
        flex-direction: column;
        width: 100%;
    }

    .zweiPunkte{
        flex-direction: column;
    }

    .üSec2 h1{
        font-size: max(8vw, 2rem);
        color: black;
        margin-bottom: 5vw;
        margin-top: 12vw;
    }

    .textPunkt{
        width: 100%;
        display: flex;
        align-items: center;
        flex-direction: column;
    }

    .heading{
        font-size: max(2vw, 1.5rem);
        line-height: max(2vw, 1.5rem);
        text-align: center;
    }
    .mehrLesen{
        
    }

    .bildPunkt3{
        
    }
    .box {
        display: flex;
        flex-direction: column;
        
        width: 100%;
    }

    .box2 {
        display: flex;
        flex-direction: column;
        width: 100%;
        justify-items: center;
        align-content: center;
        margin-bottom: 0;
    }

    .punkt2{
        width: 100%;
        margin-right: 0;
        margin-bottom: 0;
        gap: 0rem;
    }


    .box2 {
        display: flex;
        flex-direction: column;
        
    }

    .punkt3{
        margin-right: 0;
        gap: 0rem;
    }

    .box3{
        margin-right: 0;
    }

    .punkt1{
        margin-right: 0;
        gap: 0rem;
    }

    .zweiPunkte{
        width: 100%;
    }

    .mehrLesen{
        width: fit-content;
    }
    .hidden-text{
        text-align: center;
    }

    .Ueberschrift_Block{
        padding-bottom: 0;
        margin-bottom: 0;
    }

    .paedagogik_block{

    }



    .angebots_ueberschrift{
        font-size: max(8vw, 2rem);
        margin-top: 3vw;
        margin-bottom: 5vw;
        color: black;
    }

    .haupt_angebote_block{
        display: flex;
        flex-direction: column-reverse;
    }
    .fernberatungs_block {
        margin-right: 0;
        margin-left: 0;
        margin-bottom: 0.6em;
        margin-top: 0.3rem;

    }

    .fern_angebot_text{
        line-height: 0;
        font-size: max(7vw, 2rem);
        font-weight: 600;
    }

    .persona_beratungs_block{
        margin-right: 0;
        margin-left: 0;
      }

    .persona_angebot_text{
        left: 8%;
        line-height: 2.3;
        font-size: max(7vw, 2rem);
        font-weight: 600;
        top: 2%;
    }
      .read-more-btn{
          background-color: rgba(0,0,0,0);
          background-color: rgba(0,0,0,0);
          color: black;
          margin-top: 2em;



         
      }
      .arrow{
          display: none;
      }

      .alle_angebote_button{
          height: 0;
      }

      .angebots_block{
          margin-bottom: 0;
      }



    .kontakt_ueberschrift{
        font-size: max(8vw, 2rem);
        color: black;
        margin-bottom: 5vw;
    }

      .kontakt_formular{
           margin-bottom: 2em;
      }

      .kontakt_container{
          margin-top: 0em;
      }

    

      .submit-btn{
          font-size: 0.7em;
          overflow: hidden;
          text-overflow: ellipsis;
          white-space: nowrap;
      }

    .angebot_view_more1 {
        position: absolute;
        bottom: 10%;
        right: 10%;
        left: unset;

    }


    .persona_angebot_text{

    }

    .pleasehelp{
        width: 100%;
        text-align: center;
    }

    .hidden-text{
        width: 90%;
        max-width: none;
    }

    .Msmi-ref{
        font-size: 0.7em;
        margin-top: 1em;
        text-align: center;
    }
}